import React, { Component } from 'react';
import { TextInput } from 'react-native';
import PropTypes from 'prop-types';

export default class TextArea extends Component {
  static propTypes = {
    placeholder: PropTypes.string,
    onChange: PropTypes.func,
    selectionColor: PropTypes.string,
    defaultValue: PropTypes.string,
    maxLength: PropTypes.number,
    textColor: PropTypes.string,
    placeholderColor: PropTypes.string,
    backgroundColor: PropTypes.string
  };

  static defaultProps = {
    placeholder: '',
    onChange: () => {},
    selectionColor: '#1d1d1d',
    defaultValue: '',
    maxLength: 500,
    textColor: '#1d1d1d',
    placeholderColor: '#3c4f5e',
    backgroundColor: '#f6f6f6'
  };

  onChange = (text) => {
    this.props.onChange(text);
  };

  render() {
    return (
      <TextInput
        selectionColor={this.props.selectionColor}
        multiline
        autoCorrect={false}
        autoCapitalizer="none"
        placeholder={this.props.placeholder}
        style={{ backgroundColor: this.props.backgroundColor, flex: 1, color: this.props.textColor, padding: 12, fontSize: 14 }}
        placeholderTextColor={this.props.placeholderColor}
        onChangeText={this.onChange}
        defaultValue={this.props.defaultValue}
        maxLength={this.props.maxLength}
      />
    );
  }
}
